pqxx::protocol_violation Struct Reference
Exception classes

Exception class for micommunication with the server. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::protocol_violation:
[legend]

## Public Member Functions

| protocol_violation (std::string const &)
Public Member Functions inherited from pqxx::broken_connection
| broken_connection ()
| broken_connection (std::string const &)
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

Exception class for micommunication with the server.

This happens when the conversation between libpq and the server gets messed up. There aren't many situations where this happens, but one known instance is when you call a parameterised or prepared statement with th ewrong number of parameters.

So even though this is a `broken_connection`, it signals that retrying is not likely to make the problem go away.

## Constructor & Destructor Documentation

## protocol_violation()

pqxx::protocol_violation::protocol_violation | ( | std::string const & | whatarg | ) |

explicit

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx